petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetLocalInfo

Gets information about a given distributed array and this processors location in it

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetLocalInfo(DM da,DMDALocalInfo *info)

Not Collective Many br

### Input Parameter

da -the distributed array Many br

### Output Parameters

dainfo -structure containing the information Many br

Many br

### Keywords

distributed array, get, information

### See Also

DMDAGetInfo(), DMDAGetCorners()

Level:beginner
Location:src/dm/impls/da/daview.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex51.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex46.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex35.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex13.c.html